import { HttpClient } from "@angular/common/http";
import { Observable } from "rxjs";
import { LabelQueryCriteriaClass } from "../../criteria";
import { ApiVisa, ApiResponseModel } from "../shared";
import { BaseApiPublicLoginTemplateService } from "../shared/base-api-public-login-template.service";
import { WMSItemLabelContainerModel } from "../../../../../models/aggregates/warehouse/index";
export declare class WMSItemLabelService extends BaseApiPublicLoginTemplateService<WMSItemLabelContainerModel, WMSItemLabelContainerModel, WMSItemLabelContainerModel> {
    readonly url: string;
    static readonly LABEL_SUB_PATH: string;
    constructor(http: HttpClient);
    getPromiseByCriteria(visa: ApiVisa, criteria?: LabelQueryCriteriaClass): Promise<ApiResponseModel<WMSItemLabelContainerModel>>;
    getByCriteriaObservable(visa: ApiVisa, criteria?: LabelQueryCriteriaClass): Observable<ApiResponseModel<WMSItemLabelContainerModel>>;
    updateImageAndDetails(formData: FormData, imageGuid: any, httpOptions: any): Observable<ArrayBuffer>;
    replaceImageAndDetails(formData: FormData, imageGuid: any, visa: ApiVisa): Observable<Object>;
    uploadImageAndDetails(formData: FormData, subjectGuid: any, httpOptions: any): Observable<ArrayBuffer>;
    addImageAndDetails(formData: FormData, subjectGuid: any, visa: ApiVisa): Observable<Object>;
    getImageDetails(imageGuid: any, visa: ApiVisa): Observable<Object>;
    deleteImageDetails(imageGuid: any, visa: ApiVisa): Observable<Object>;
    getFile(extGuid: string, visa: ApiVisa): Observable<Blob>;
}
